import { Texture } from '../../renderers/shared/texture/Texture';
import { Container } from '../../scene/Container';
import { SpriteView } from './SpriteView';
import type { PointData } from '../../../maths/PointData';
import type { PointLike } from '../../../maths/PointLike';
import type { ContainerOptions } from '../../scene/Container';
export interface SpriteOptions extends ContainerOptions<SpriteView> {
    texture?: Texture;
}
export declare class Sprite extends Container<SpriteView> {
    static from(id: Texture | string): Sprite;
    constructor(options?: SpriteOptions | Texture);
    get anchor(): PointLike;
    set anchor(value: PointData);
    get texture(): Texture;
    set texture(value: Texture);
}
